Package org.flowable.dmn.api

# Interface DmnHistoricDecisionExecution

public interface DmnHistoricDecisionExecution
An object structure representing the execution of a decision

Author:
  Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivityId()`
  reference to the activity for which the decision was executed
  `String`
  `getDecisionDefinitionId()`
  reference to the decision definition that was executed
  `String`
  `getDecisionKey()`
  reference to decision key
  `String`
  `getDecisionName()`
  reference to decision name
  `String`
  `getDecisionVersion()`
  reference to decision version
  `String`
  `getDeploymentId()`
  reference to the deployment of the decision definition that was executed
  `Date`
  `getEndTime()`
  end time of the decision execution
  `String`
  `getExecutionId()`
  reference to the execution for which the decision was executed
  `String`
  `getExecutionJson()`
  detailed information of the decision execution
  `String`
  `getId()`
  unique identifier
  `String`
  `getInstanceId()`
  reference to the (process) instance for which the decision was executed
  `String`
  `getScopeType()`
  reference to the scope type for which the decision was executed
  `Date`
  `getStartTime()`
  start time of the decision execution
  `String`
  `getTenantId()`
  tenant identifier of this decision execution
  `boolean`
  `isFailed()`
  identifier if the decision execution failed

- ## Method Details

  - ### getId

    String getId()
    unique identifier

  - ### getDecisionDefinitionId

    String getDecisionDefinitionId()
    reference to the decision definition that was executed

  - ### getDeploymentId

    String getDeploymentId()
    reference to the deployment of the decision definition that was executed

  - ### getStartTime

    Date getStartTime()
    start time of the decision execution

  - ### getEndTime

    Date getEndTime()
    end time of the decision execution

  - ### getInstanceId

    String getInstanceId()
    reference to the (process) instance for which the decision was executed

  - ### getExecutionId

    String getExecutionId()
    reference to the execution for which the decision was executed

  - ### getActivityId

    String getActivityId()
    reference to the activity for which the decision was executed

  - ### getScopeType

    String getScopeType()
    reference to the scope type for which the decision was executed

  - ### isFailed

    boolean isFailed()
    identifier if the decision execution failed

  - ### getTenantId

    String getTenantId()
    tenant identifier of this decision execution

  - ### getExecutionJson

    String getExecutionJson()
    detailed information of the decision execution

  - ### getDecisionKey

    String getDecisionKey()
    reference to decision key

  - ### getDecisionName

    String getDecisionName()
    reference to decision name

  - ### getDecisionVersion

    String getDecisionVersion()
    reference to decision version